package com.cmx.hydrology.activity

import android.app.Application
import android.content.Context
import com.lsxiao.apollo.core.Apollo
import io.reactivex.android.schedulers.AndroidSchedulers

class MyApplication : Application() {
    override fun onCreate() {
        super.onCreate()
        mInstance = this
        Apollo.init(AndroidSchedulers.mainThread(), this)
    }

    override fun attachBaseContext(base: Context) {
        super.attachBaseContext(base)
    }

    companion object {
        private var mInstance: MyApplication? = null
        private var mToken: String? = null
        @JvmStatic
        fun getmInstance(): MyApplication? {
            return mInstance
        }

        fun getmToken(): String? {
            return mToken
        }

        fun setmToken(mToken: String?) {
            Companion.mToken = mToken
        }
    }
}