package com.cmx.hydrology.ui

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.webkit.WebView
import com.cmx.hydrology.constant.Events
import com.cmx.hydrology.databinding.FragmentMapBinding

class MapFragment : BaseFragment() {
    private var binding: FragmentMapBinding? = null
    private var mWebView: WebView? = null
    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        binding = FragmentMapBinding.inflate(inflater, container, false)
        val root: View = binding!!.root
        mWebView = binding!!.wvMine
        setWebView(mWebView!!)
        mWebView!!.loadUrl(Events.WEB_MAP_URL)
        return root
    }

    override fun onDestroyView() {
        super.onDestroyView()
        binding = null
    }
}