package com.cmx.hydrology.activity

import android.content.ClipData
import android.content.Intent
import android.net.Uri
import android.os.Bundle
import android.os.Environment
import android.provider.MediaStore
import android.util.Log
import android.webkit.ValueCallback
import android.webkit.WebChromeClient
import android.webkit.WebSettings
import android.webkit.WebView
import com.cmx.hydrology.constant.Events
import com.cmx.hydrology.databinding.ActivityWebBinding
import com.cmx.hydrology.utils.AndroidtoJs
import com.cmx.hydrology.utils.L
import com.lsxiao.apollo.core.annotations.Receive
import java.io.File
import java.io.IOException
import java.text.SimpleDateFormat
import java.util.Date

class WebActivity : BaseActivity() {
    private var mWebView: WebView? = null
    private var binding: ActivityWebBinding? = null
    private var url: String? = null
    private var mUploadMessage: ValueCallback<Array<Uri>>? = null
    private var mCameraPhotoPath: String? = null
    private var size: Long = 0
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityWebBinding.inflate(layoutInflater)
        setContentView(binding!!.root)
        url = intent.getStringExtra("url")
        mWebView = binding!!.wvRegister
        setWeb(mWebView!!)
        mWebView!!.loadUrl(url!!)
    }

    @Receive(Events.JS_OPEN_CLOSE_WEB)
    fun fin() {
        finish();
    }


    companion object {

    }
}