package com.cmx.hydrology.ui

import android.app.Activity
import android.content.ClipData
import android.content.Intent
import android.net.Uri
import android.os.Bundle
import android.os.Environment
import android.provider.MediaStore
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.webkit.ValueCallback
import android.webkit.WebChromeClient
import android.webkit.WebView
import com.cmx.hydrology.constant.Events
import com.cmx.hydrology.databinding.FragmentHomeBinding
import java.io.File
import java.io.IOException
import java.text.SimpleDateFormat
import java.util.Date

class HomeFragment : BaseFragment() {
    private var binding: FragmentHomeBinding? = null
    private var mWebView: WebView? = null
    private var mUploadMessage: ValueCallback<Array<Uri>>? = null
    private var mCameraPhotoPath: String? = null
    private var size: Long = 0
    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        binding = FragmentHomeBinding.inflate(inflater, container, false)
        val root: View = binding!!.root
        mWebView = binding!!.wvHome
        setWebView(mWebView!!)
        mWebView!!.loadUrl(Events.WEB_HOME_URL)
        return root
    }

    override fun onDestroyView() {
        super.onDestroyView()
        binding = null
    }


    companion object {
        private const val INPUT_FILE_REQUEST_CODE = 1
    }
}